#include <libnet/host.h>
#include <libnet/datastream.h>
#include <stdlib.h>
#include <iostream>

using namespace net;

int main( int argc, char *argv[] )
{
#if 0
	Host cHost("www.syllable.org",80);
	Datastream cStream(cHost);
	char zGet[] = "GET /\r\n";
	char zBuffer[128];

	memset(zBuffer,0,128);

	std::cout << "1: Writing " << zGet << " returned " << cStream.Write(zGet,strlen(zGet)+2) << std::endl;
	std::cout << "2: Reading 128 bytes of data from stream returns " << cStream.Read(zBuffer,128) << std::endl;
	std::cout << "Read() data follows:" << std::endl;
	std::cout << "-----------------------" << std::endl << zBuffer << std::endl << "-----------------------" << std::endl;
#else
	Host cHost("www.liqwyd.com",80);
	Datastream cStream2(cHost);
	char zGet2[] = "GET http://www.liqwyd.com/ HTTP/1.0\r\n\r\n";
	char zBuffer[1024];

	memset(zBuffer,0,1024);

	cStream2.Write(zGet2,strlen(zGet2));
	cStream2.WaitFor( "\r\n\r\n", (uint8*)zBuffer, 1024 );
	std::cout << zBuffer << std::endl;
	memset(zBuffer,0,1024);
	cStream2.Read( zBuffer, 1024 );
	std::cerr << zBuffer << std::endl;
#endif
	return EXIT_SUCCESS;
}
