#include <libnet/url.h>
#include <libnet/httpstream.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream>

using namespace net;

int main( int argc, char *argv[] )
{
	Url cUrl("http://www.liqwyd.com:80/index.shtml");
	HTTPstream cStream(cUrl);
	char zBuffer[1025];
	ssize_t nBytes = 0, nTotal = 0;

	memset(zBuffer,0,1025);
	std::cout << "---------------------------------------" << std::endl;

	while( ( nBytes = cStream.Read( zBuffer, 1024 )) > 0 )
	{
		std::cout << zBuffer << std::endl;
		memset(zBuffer,0,1025);
	}

	std::cout << zBuffer << std::endl;
	std::cout << "---------------------------------------" << std::endl;

	// Retrieve a binary file (The Syllable logo)
	Url cUrl2("http://www.syllable.org:80/themes/PCtech/logou.gif");
	HTTPstream cStream2(cUrl2);

	memset(zBuffer,0,1025);
	std::cout << "---------------------------------------" << std::endl;

	FILE *out = fopen("logo.gif", "wb" );
	while( ( nBytes = cStream2.Read( zBuffer, 1024 )) > 0 )
	{
		nTotal += nBytes;
		fwrite(zBuffer,nBytes,1,out);
		memset(zBuffer,0,1025);
	}
	fflush(out);
	fclose(out);

	std::cout << "Total of " << nTotal << " bytes read for file " << cUrl2.GetUrl().str() << std::endl;
	std::cout << "---------------------------------------" << std::endl;

	return EXIT_SUCCESS;
}
